<?php
// Glossary Mod
// by
// Slinouille

function template_main() {
    global $context, $modSettings, $scripturl, $txt, $settings, $user_info;
	    
    theme_linktree();
    
    if ( isset($context['allow_view_glossary']) && !empty($modSettings['enable_glossary_mod']) ) {
echo '   
<script language="JavaScript" type="text/javascript" src="', $settings['theme_url'], '/scripts/glossary.jquery.thickbox.modified.js"></script>
<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/glossary.jquery.thickBox.css" />

<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr>
	<td width="100%" valign="top" style="padding-top: 10px; padding-bottom: 10px;">
		<div class="tborder" style="margin-top: 1ex;">
	        <div class="titlebg" style="padding: 4px;">
	            <table width="100%"><tr>
	                <td align="left">
						', $txt['glossary'], ' ',
						isset($modSettings['enable_groups_in_glossary']) ? '
						<div class="smalltext" style="display:inline;">
							&nbsp;<a href="'. $scripturl. '?action=glossary&sa=alphabetic">'. $txt['glossary_by_alphabetic']. '</a>
							&nbsp;|&nbsp;<a href="'. $scripturl. '?action=glossary&sa=categories">'. $txt['glossary_by_groups']. '</a>
						</div>'
						:
						'', '
					</td>
	                <td align="right" class="smalltext">',
	                $context['allow_admin_glossary'] ? 
	                '<a href="#TB_inline?height=250&width=400&inlineId=div_new_word&modal=false" title="'.$txt['glossary_new_word_title'].'" class="thickbox"><img src="'. $settings['theme_url']. '/images/glossary_blue_add.png"></a> '. $txt['glossary_action_add'] 
	                : (
	                $context['allow_suggest_glossary'] ? '<a href="#TB_inline?height=200&width=400&inlineId=div_new_word&modal=false" title="'.$txt['glossary_new_word_title'].'" class="thickbox"><img src="'. $settings['theme_url']. '/images/glossary_blue_add.png"></a> '. $txt['glossary_action_add'] : ''
	                ) , 
					( isset($modSettings['enable_groups_in_glossary']) && isset($context['allow_admin_glossary']) ) ? '&nbsp;&nbsp;
					<a href="#TB_inline?height=250&width=400&inlineId=div_manage_groups&modal=true" title="'.$txt['glossary_action_add_category'].'" class="thickbox"><img src="'. $settings['theme_url']. '/images/glossary_category_add.png"></a> '. $txt['glossary_action_add_category']
					:
					'', '
	                </td>
	            </tr></table>
	        </div>
	        <div class="windowbg2">
				<table style="margin : 10px auto auto auto; ">
					<tr>    
						<td>
							'.$context['glossary_elements'].'
						</td>
					</tr>
				</table>		            
	        </div>
		</div>
        </td></tr>
    </table>';
    
    //ADD a new word DIV
    echo '
        <div id="div_new_word" style="display:none;">
            <form method="post" name="new_word_form">
                <table align="center" width="400px">
                    <tr><td colspan="3" style="padding:10px;">
                        '.$txt['glossary_new_word'].'* <input type="text" name="new_word" id="new_word" size="47" value="">
                        <br />
                        '.$txt['glossary_new_definition'].'', empty($context['enable_bbc_tooltip_glossary']) ? '':$txt['glossary_bbccode_activated'], '* : <textarea cols="55" rows="5" name="new_definition" id="new_definition"></textarea>
                        <br />';
                        if ( isset($modSettings['enable_groups_in_glossary']) && $modSettings['enable_groups_in_glossary'] == 1){
							echo 
							$txt['glossary_group'].'* 
							<select name="new_group" id="new_group" value="">
								<option value="none">'.$txt['glossary_group_none'].'</option>';
							foreach ( $context['glossary_groups'] as $id=>$title)
								echo '<option value="'.$id.'">'.$title.'</option>';
							echo '</select>
							<br />';
                        }
                        echo 
                        '<label for="new_word_show_in_message">'.$txt['glossary_show_in_message'].'</label>
                        <input type="checkbox" name="new_show_in_message"', isset($modSettings['glossary_show_in_message_default']) ? ' checked' : '', '>
                        <br />' , 
						isset($context['allow_admin_glossary']) ? '
						<label for="edit_publish_status">'.$txt['glossary_publish_status'].'</label>
                        <input type="checkbox" name="new_valid" id="new_valid" >
						<br />' : '', '
                        <input type="button" onclick="SubmitNewWord(\'', (isset($modSettings['enable_groups_in_glossary']) && $modSettings['enable_groups_in_glossary']==1) ? 'group_enabled' : '', '\')"  value="'.$txt['glossary_new_word_button'].'">
                        <input type="button" onclick="javascript:parent.tb_remove();" value="'.$txt['glossary_new_word_close'].'">
                        <input type="hidden" name="sc" value="', $context['session_id'], '" />
						<input type="hidden" name="submit_new_word" id="submit_new_word" value="" />
                    </td></tr>
                </table>
            </form>
        </div>';
    
    //EDIT a word DIV
    echo '
        <div id="div_edit_word" style="display:none;">
            <form method="post" name="edit_word_form">
                <table align="center" width="400px">
                    <tr><td colspan="3" style="padding:10px;">
                         ', $context['glossary_error_submit'] == true ? '<div style="color:red;font-weight:bold;align-text:center;margin-bottom:7px;" id="div_error_submit"><img src="'.$settings['theme_url'].'/images/error.png">&nbsp;'.$context['glossary_error_submit_message'].'</div>' : '', '
                        <p>'.$txt['glossary_new_word'].'* <input type="text" name="edit_word" id="edit_word" size="47" value="', $context['glossary_action_status']=="edit" ? (empty($_POST['edit_word']) ? '' : $_POST['edit_word']) : ( $context['glossary_action_status']=="check_new" ? (empty($_POST['new_word']) ? '' : $_POST['new_word']) : (empty($_POST['edit_word']) ? '' : $_POST['edit_word'])), '"></p>
                        <p>'.$txt['glossary_new_definition'].'', empty($context['enable_bbc_tooltip_glossary']) ? '':$txt['glossary_bbccode_activated'], '* : <textarea cols="55" rows="5" name="edit_definition" id="edit_definition">', $context['glossary_action_status']=="edit" ? (empty($_POST['edit_definition']) ? '' : $_POST['edit_definition']) : ( $context['glossary_action_status']=="check_new" ? (empty($_POST['new_definition']) ? '' : $_POST['new_definition']) : (empty($_POST['edit_definition']) ? '' : $_POST['edit_definition'])), '</textarea>
                        </p>';
                        if ( isset($modSettings['enable_groups_in_glossary']) && $modSettings['enable_groups_in_glossary']==1 ){
                            echo '
                            <p>'.
                            $txt['glossary_group'].'* 
                            <select name="edit_group" id="edit_group" value="">
                                <option value="none">'.$txt['glossary_group_none'].'</option>';
                            foreach ( $context['glossary_groups'] as $id=>$title)
                                echo '<option value="'.$id.'"',  $context['glossary_action_status']=="edit" ? ($_POST['edit_group']==$id ? 'selected' : '') : ( $context['glossary_action_status']=="check_new" ? ( (isset($_POST['new_group']) && $_POST['new_group']==$id) ? 'selected' : '') : ( (isset($_POST['edit_group']) && $_POST['edit_group']==$id) ? 'selected' : '')), '>'.$title.'</option>';
                            echo '</select>
                            </p>';
                        }
                        echo 
                        '<p>
                        <label for="edit_show_in_message">'.$txt['glossary_show_in_message'].'</label>
                        <input type="checkbox" name="edit_show_in_message" id="edit_show_in_message" ', ($context['glossary_action_status']=="edit" AND isset($_POST['edit_show_in_message']) ) ? 'checked' : '', ' />
                        </p>' , 
						($context['allow_admin_glossary'] AND !empty($_POST['edit_valid'])) ? ('
                        <p>
                        <label for="edit_publish_status">'.$txt['glossary_publish_status'].'</label>
                        <input type="checkbox" name="edit_valid" id="edit_valid" checked />
                        </p>') :
						(
						$context['allow_admin_glossary'] ? ('
                        <p>
                        <label for="edit_publish_status">'.$txt['glossary_publish_status'].'</label>
                        <input type="checkbox" name="edit_valid" id="edit_valid" />
                        </p>') :
						''
						), '
                        <input type="button" onclick="SubmitEditWord(\'', ( isset($modSettings['enable_groups_in_glossary']) && $modSettings['enable_groups_in_glossary']==1) ? 'group_enabled' : '', '\')" value="'.$txt['glossary_edit_word_button'].'">
                        <input type="button" onclick="javascript:if(document.getElementById(\'div_error_submit\')) document.getElementById(\'div_error_submit\').style.display=\'none\';parent.tb_remove();" value="'.$txt['glossary_new_word_close'].'">
						<input type="hidden" name="edit_word_id" id="edit_word_id" size="47" value="', $context['glossary_action_status']=="edit" ? $_POST['edit_word_id'] : '', '">
						<input type="hidden" name="sc" value="', $context['session_id'], '" />
						<input type="hidden" name="submit_edit_word" id="submit_edit_word" value="" />
                        <input type="hidden" name="is_author_of_word" id="is_author_of_word" value="" />
                    </td></tr>
                </table>
            </form>
        </div>';    
    
    //DELETE a word DIV
    echo '
        <div id="div_delete_word" style="display:none;">
            <form method="post">
                <input type="hidden" name="id_word_to_delete" id="id_word_to_delete" value="">
                '.$txt['glossary_confirm_deleting'].'<br />
                <input type="submit" name="submit_delete_word" value="'.$txt['glossary_delete_word_button'].'">
                <input type="button" onclick="javascript:parent.tb_remove();" value="'.$txt['glossary_new_word_close'].'">
                <input type="hidden" name="sc" value="', $context['session_id'], '" />
            </form>
        </div>';
	
	//MANAGE categories DIV
    echo '
        <div id="div_manage_groups" style="display:none;">
            <form method="post" name="manage_groups">
				<fieldset>
					', $context['glossary_new_group_error_submit'] == true ? '<div style="color:red;font-weight:bold;align-text:center;margin-bottom:7px;" id="div_group_new_error"><img src="'.$settings['theme_url'].'/images/error.png">&nbsp;'.$context['glossary_error_submit_message'].'</div>' : '',
					'<legend>'.$txt['glossary_add_new_group'].'</legend>
					<p>
						'.$txt['glossary_new_group_name'].' : 
						<input type="text" name="manage_new_group" id="manage_new_group" value="', $context['glossary_action_status'] == 'check_new_group' ? $_POST['manage_new_group'] : '', '" />
					</p>
					<p>
						<input type="button" onclick="AddNewGroup()" value="'.$txt['glossary_new_word_button'].'">
					</p>
				</fieldset>
				
				<fieldset>
					', $context['glossary_update_group_error_submit'] == true ? '<div style="color:red;font-weight:bold;align-text:center;margin-bottom:7px;" id="div_group_update_error"><img src="'.$settings['theme_url'].'/images/error.png">&nbsp;'.$context['glossary_error_submit_message'].'</div>' : '',
					'<legend>'.$txt['glossary_modify_group'].'</legend>
					<p>
						'.$txt['glossary_group'].' : 
		                <select name="group_update" id="group_update">
							<option value="none">'.$txt['glossary_group_none'].'</option>';
						foreach ( $context['glossary_groups'] as $id=>$title)
							echo '<option value="'.$id.'"',($context['glossary_action_status'] == 'check_update_group' AND !empty($_POST['group_update']))?'':'selected' , '>'.$title.'</option>';
						echo '</select>
					</p>
					<p>
						'.$txt['glossary_update_group_title'].' : 
						<input type="text" name="update_category_title" id="update_category_title"  value="', $context['glossary_action_status'] == 'check_update_group' ? $_POST['update_category_title'] : '', '" />
					</p>
					<p>
						<input type="button" onclick="DeleteGroup()" value="'.$txt['glossary_delete_group_button'].'">
						<input type="button" onclick="UpdateGroup()" value="'.$txt['glossary_update_group_button'].'">
					</p>
				</fieldset>
                <br />
                <input type="button" onclick="javascript:CleanGroupForm();parent.tb_remove();" value="'.$txt['glossary_new_word_close'].'">
                <input type="hidden" name="sc" value="', $context['session_id'], '" />
            </form>
        </div>';
        
        
    echo '
    </table>';
    }
	else
	{
		echo $txt['glossary_not_enabled'];
	}
    
    //FORM for actions
    echo '
            <form method="post" name="form_action">
                <input type="hidden" name="id_word" id="id_word" value="">
                <input type="hidden" name="action_on_word" id="action_on_word" value="">
                <input type="hidden" name="sc" value="', $context['session_id'], '" />
            </form>';
    
    //Open DIV error returned        
    if ( $context['glossary_error_submit'] == true ){
        echo '<script>
        imgLoader = new Image();// preload image
        imgLoader.src = "images/loadingAnimation.gif";
        tb_show("'.$txt['glossary_edit_word_title'].'","#TB_inline?height=300&width=400&inlineId=div_edit_word&modal=false",false);
        </script>';
    }else if ( $context['glossary_new_group_error_submit'] == true || $context['glossary_update_group_error_submit'] == true ){
        echo '<script>
        imgLoader = new Image();// preload image
        imgLoader.src = "images/loadingAnimation.gif";
        tb_show("'.$txt['glossary_edit_word_title'].'","#TB_inline?height=280&width=400&inlineId=div_manage_groups&modal=true",false);
        </script>';
    }
            
    echo '<script>
    function Display_glossary_for_letter(letter){
        var mystring = "',isset($context['glossary_letters']) ? $context['glossary_letters'] : '' ,'";
        var myarray=mystring.split(",");
        for (var i=0; i<(myarray.length-1); i++) {
            if ( letter == "all" )
                document.getElementById("letter_"+myarray[i]).style.display = "";
            else {
                if ( myarray[i] == letter )
                    document.getElementById("letter_"+myarray[i]).style.display = "";
                else
                    document.getElementById("letter_"+myarray[i]).style.display = "none";
            }
        }
    }
	
	function SubmitNewWord(group_enabled){
        if ( group_enabled == "" ) group_enabled = "nok";else group_enabled = "ok";
        if ( group_enabled == "ok" ){
		    if ( document.getElementById("new_word").value != "" && document.getElementById("new_definition").value != "" && document.getElementById("new_group").value != "none" ){
			    document.getElementById("submit_new_word").value = "ok"
			    document.new_word_form.submit();
		    }else{
			    alert("'.$txt['glossary_alert_submit_new_word'].'");
		    }
        }else{
            if ( document.getElementById("new_word").value != "" && document.getElementById("new_definition").value != "" ){
                document.getElementById("submit_new_word").value = "ok"
                document.new_word_form.submit();
            }else{
                alert("'.$txt['glossary_alert_submit_new_word'].'");
            }
        }
	}
    
	function SubmitEditWord(group_enabled){
        if ( group_enabled == "" ) group_enabled = "nok";else group_enabled = "ok";
        if ( group_enabled == "ok" ){
		    if ( document.getElementById("edit_word").value != "" && document.getElementById("edit_definition").value != "" && document.getElementById("edit_group").value != "none" ){
			    document.getElementById("submit_edit_word").value = "ok"
			    document.edit_word_form.submit();
		    }else{
			    alert("'.$txt['glossary_alert_submit_new_word'].'");
		    }
        }else{
            if ( document.getElementById("edit_word").value != "" && document.getElementById("edit_definition").value != "" ){
                document.getElementById("submit_edit_word").value = "ok"
                document.edit_word_form.submit();
            }else{
                alert("'.$txt['glossary_alert_submit_new_word'].'");
            }
        }
	}

    function EditWord(id,group_enabled,not_admin){
        if ( group_enabled == "" ) group_enabled = "nok";else group_enabled = "ok";
        document.getElementById("edit_word").value=document.getElementById("word_"+id).innerHTML;
        document.getElementById("edit_definition").value=document.getElementById("definition_text_"+id).value;
        if ( document.getElementById("show_in_message_"+id).value == 1 ) document.getElementById("edit_show_in_message").checked = true;
		if ( not_admin == "" && document.getElementById("valid_"+id).value == 1 ) document.getElementById("edit_valid").checked = true;
        if ( group_enabled == "ok" ){
		    document.getElementById("edit_group").value=document.getElementById("group_id_"+id).value;
        }
		document.getElementById("edit_word_id").value=id;
        if ( not_admin == "true" ) document.getElementById("is_author_of_word").value="true";
        tb_show("'.$txt['glossary_edit_word_title'].'","#TB_inline?height=300&width=400&inlineId=div_edit_word&modal=false",false);
    }
    
    function DeleteWord(id){
        document.getElementById("id_word_to_delete").value=id;
        tb_show("'.$txt['glossary_delete_word_button'].'","#TB_inline?height=40&width=400&inlineId=div_delete_word&modal=true",false);
    }
	
	function AddNewGroup(){
		if ( document.getElementById("manage_new_group").value != "" ){
			document.manage_groups.submit();
			CleanGroupForm();
		}else{
			alert("'.$txt['glossary_alert_new_group'].'");
		}
	}
	
	function DeleteGroup(){
		if ( document.getElementById("group_update").value != "none" ){
			document.manage_groups.submit();
			CleanGroupForm();
		}else{
			alert("'.$txt['glossary_alert_group_delete'].'");
		}
	}
	
	function UpdateGroup(){
		if ( document.getElementById("group_update").value != "none" && document.getElementById("update_category_title").value != "" ){
			document.manage_groups.submit();
			CleanGroupForm();
		}else{
			alert("'.$txt['glossary_alert_group_update'].'");
		}
	}
	
	function EnableTooltipWord(id){
		document.getElementById("id_word").value=id;
        document.getElementById("action_on_word").value="enable_tooltip";
        document.form_action.submit();
	}
	
	function DisableTooltipWord(id){
        document.getElementById("id_word").value=id;
        document.getElementById("action_on_word").value="disable_tooltip";
        document.form_action.submit();
	}
	
	function UnApproveWord(id){
        document.getElementById("id_word").value=id;
        document.getElementById("action_on_word").value="unapprove_word";
        document.form_action.submit();
	}
	
	function ApproveWord(id){
        document.getElementById("id_word").value=id;
        document.getElementById("action_on_word").value="approve_word";
        document.form_action.submit();
    }
	
	function CleanGroupForm(){
		if (document.getElementById("div_group_update_error")) document.getElementById("div_group_update_error").style.display = "none";
		if (document.getElementById("div_group_new_error")) document.getElementById("div_group_new_error").style.display = "none";
		document.getElementById("manage_new_group").value = "";
		document.getElementById("update_category_title").value = "";
	}
	
	JQ(function() {
		JQ(".windowbg2 *").tooltip({delay: 0, track: false, showURL: false}); 
	});
    </script>';
}

?>
