<?
global $modSettings, $smcFunc;

db_extend('Packages');

//GLOSSARY TABLE
$columns = array(
    'id' => array(
        'name' => 'id',
        'type' => 'int',
        'size' => '12',
        'default' => 0,
        'null' => false,
        'auto' => true,
    ),
    'word' => array(
        'name' => 'word',
        'type' => 'varchar',
        'size' => '50',
        'default' => 0,
        'null' => false,
    ),
    'definition' => array(
        'name' => 'definition',
        'type' => 'text',
        'null' => false,
    ),
    'member_id' => array(
        'name' => 'member_id',
        'type' => 'int',
        'size' => '13',
        'default' => 0,
        'null' => false,
    ),
    'date' => array(
        'name' => 'date',
        'type' => 'varchar',
        'size' => '30',
        'default' => 0,
        'null' => false,
    ),
    'valid' => array(
        'name' => 'valid',
        'type' => 'int',
        'size' => '1',
        'default' => 0,
        'null' => false,
    ),
    'identical_to' => array(
        'name' => 'identical_to',
        'type' => 'text',
        'null' => false,
    ),
    'show_in_message' => array(
        'name' => 'show_in_message',
        'type' => 'int',
        'size' => '1',
        'default' => 0,
        'null' => false,
    ),
    'group_id' => array(
        'name' => 'group_id',
        'type' => 'int',
        'size' => '8',
        'default' => 0,
        'null' => false,
    ),
);

$indexes = array(
    'id' => array(
        'name' => 'id',
        'type' => 'primary',
        'columns' => array(
            'id' => 'id'
        ),
    ),
);

$smcFunc['db_create_table']('glossary', $columns, $indexes);

//Update if already exists
$sql_adds = array(
	array(
		'table' => "glossary", 
		'colums' => array(
			'show_in_message' => array(
				'name' => 'show_in_message',
				'type' => 'int',
				'size' => '1',
				'default' => 1,
				'null' => false,
			),
		),
	),
	array(
		'table' => "glossary", 
		'colums' => array(
			'group_id' => array(
				'name' => 'group_id',
				'type' => 'int',
				'size' => '8',
				'default' => 0,
				'null' => false,
			),
		),
	),
);

foreach($sql_adds as $table) {
	foreach($table['colums'] as $colum) 
		$smcFunc['db_add_column']($table['table'], $colum);
}

//GLOSSARY_GROUPS
$columns = array(
    'id' => array(
        'name' => 'id',
        'type' => 'int',
        'size' => '12',
        'default' => 0,
        'null' => false,
        'auto' => true,
    ),
    'title' => array(
        'name' => 'title',
        'type' => 'varchar',
        'size' => '50',
        'default' => 0,
        'null' => false,
    ),
);

$indexes = array(
    'id' => array(
        'name' => 'id',
        'type' => 'primary',
        'columns' => array(
            'id' => 'id'
        ),
    ),
);

$smcFunc['db_create_table']('glossary_groups', $columns, $indexes);

?>